<?php
/*
Plugin Name: Ibexrentacar
Plugin URI: http://www.ibexrentacar.com/
Description: Plugin de WordPress para conectar tu blog con la plataforma de gestión de Ibexrentacar. Shortcode: [ibexrentacar-buscador1],[ibexrentacar-buscador2],[ibexrentacar-buscador3],[ibexrentacar-fleet],[ibexrentacar-modelo]
Version: 1.0
Author: Ibexestudio
Author URI: http://www.ibexrentacar.com
*/

// don't load directly
if (!function_exists('is_admin')) {
    header('Status: 403 Forbidden');
    header('HTTP/1.1 403 Forbidden');
    exit();
}

// Pre-2.6 compatibility
if ( ! defined( 'WP_CONTENT_URL' ) )
      define( 'WP_CONTENT_URL', get_option( 'siteurl' ) . '/wp-content' );
if ( ! defined( 'WP_CONTENT_DIR' ) )
      define( 'WP_CONTENT_DIR', ABSPATH . 'wp-content' );


define( 'IBEXRENTACAR_VERSION', '1.0' );
define( 'IBEXRENTACAR_RELEASE_DATE', date_i18n( 'F j, Y', '1383264000' ) ); //http://www.unixtimestamp.com
define( 'IBEXRENTACAR_DIR', WP_PLUGIN_DIR . '/ibexrentacar-plugin' );
define( 'IBEXRENTACAR_URL', WP_PLUGIN_URL . '/ibexrentacar-plugin' );

$GLOBALS['lsPluginPath'] = plugins_url('/', __FILE__);

if (!class_exists("Ibexrentacar")) :

class Ibexrentacar {
	var $settings, $options_page;
	
	function __construct() {	

		if (is_admin()) {
			// Load example settings page
			if (!class_exists("Ibexrentacar_Settings"))
				require(IBEXRENTACAR_DIR . '/ibexrentacar-settings.php');
			$this->settings = new Ibexrentacar_Settings();	
		}
		
		add_action('init', array($this,'init') );
		add_action('admin_init', array($this,'admin_init') );
		add_action('admin_menu', array($this,'admin_menu') );
		
		
		
		register_activation_hook( __FILE__, array($this,'activate') );
		register_deactivation_hook( __FILE__, array($this,'deactivate') );
	}

	function network_propagate($pfunction, $networkwide) {
		global $wpdb;

		if (function_exists('is_multisite') && is_multisite()) {
			// check if it is a network activation - if so, run the activation function 
			// for each blog id
			if ($networkwide) {
				$old_blog = $wpdb->blogid;
				// Get all blog ids
				$blogids = $wpdb->get_col("SELECT blog_id FROM {$wpdb->blogs}");
				foreach ($blogids as $blog_id) {
					switch_to_blog($blog_id);
					call_user_func($pfunction, $networkwide);
				}
				switch_to_blog($old_blog);
				return;
			}	
		} 
		call_user_func($pfunction, $networkwide);
	}

	function activate($networkwide) {
		$this->network_propagate(array($this, '_activate'), $networkwide);
	}

	function deactivate($networkwide) {
		$this->network_propagate(array($this, '_deactivate'), $networkwide);
	}

	/*
		Enter our plugin activation code here.
	*/
	function _activate() {}

	/*
		Enter our plugin deactivation code here.
	*/
	function _deactivate() {}
	

	/*
		Load language translation files (if any) for our plugin.
	*/
	function init() {
		load_plugin_textdomain( 'ibexrentacar', IBEXRENTACAR_DIR . '/lang', 
							   basename( dirname( __FILE__ ) ) . '/lang' );
	}

	function admin_init() {
	}

	function admin_menu() {
	}


	/*
		Example print function for debugging. 
	*/	
	function print_example($str, $print_info=TRUE) {
		if (!$print_info) return;
		__($str . "<br/><br/>\n", 'ibexrentacar' );
	}

	
	function javascript_redirect($location) {
		// redirect after header here can't use wp_redirect($location);
		?>
		  <script type="text/javascript">
		  <!--
		  window.location= <?php echo "'" . $location . "'"; ?>;
		  //-->
		  </script>
		<?php
		exit;
	}
	
} // end class
endif;

// Initialize our plugin object.
global $ibexrentacar;
global $settings_ibex;

if (class_exists("Ibexrentacar") && !$ibexrentacar) {
	$ibexrentacar  = new Ibexrentacar();		
}	

if (!class_exists("Ibexrentacar_Settings")){
	require(IBEXRENTACAR_DIR . '/ibexrentacar-settings.php');
	$settings_ibex = new Ibexrentacar_Settings();	
}

//Shortcode Flota
function shortcode_ibexrentacar_fleet($atts) {	
	global $settings_ibex;
	$ibexrentacar_apikey = $settings_ibex->options['ibexrentacar_apikey'];
	$ibexrentacar_url 	 = $settings_ibex->options['ibexrentacar_url'];
	// get attibutes and set defaults
        extract(shortcode_atts(array(
				'width' 		 	=> '100%',
                'include_jquery' 	=> '0',
                'locale' 			=> 'es_ES',
                'result_view' 	 	=> 'list',
				'include_css' 	 	=> ''
       ), $atts));
	// Display info 
	if($ibexrentacar_apikey!='' && $ibexrentacar_url!=''){
		$icss = '';
		if($include_css!='')$icss = '&include_css='.$include_css;
		return ' <script src="'.$ibexrentacar_url.'/widget/?include_jquery='.$include_jquery.'&locale='.$locale.'&result_view='.$result_view.''.$icss.'"></script>
				 <div id="irc_fleet" style="width: '.$width.';"></div>';
	}
}
add_shortcode('ibexrentacar-fleet','shortcode_ibexrentacar_fleet');			

//Shortcode Buscador 1
function shortcode_ibexrentacar_buscador1($atts) {	
	global $settings_ibex;
	$ibexrentacar_apikey = $settings_ibex->options['ibexrentacar_apikey'];
	$ibexrentacar_url 	 = $settings_ibex->options['ibexrentacar_url'];
	// get attibutes and set defaults
        extract(shortcode_atts(array(
				'width' 		 	=> '100%',
                'include_jquery' 	=> '0',
                'locale' 			=> 'es_ES',
				'include_css' 	 	=> ''
       ), $atts));
	// Display info 
	if($ibexrentacar_apikey!='' && $ibexrentacar_url!=''){
		$icss = '';
		if($include_css!='')$icss = '&include_css='.$include_css;
		return ' <script src="'.$ibexrentacar_url.'/widget/?include_jquery='.$include_jquery.'&locale='.$locale.''.$icss.'"></script>
				 <div id="irc_search" style="width: '.$width.';"></div>
				 <div id="irc_result" style="width: '.$width.';"></div>';
	}
}
add_shortcode('ibexrentacar-buscador1','shortcode_ibexrentacar_buscador1');	

//Shortcode Buscador 2
function shortcode_ibexrentacar_buscador2($atts) {	
	global $settings_ibex;
	$ibexrentacar_apikey = $settings_ibex->options['ibexrentacar_apikey'];
	$ibexrentacar_url 	 = $settings_ibex->options['ibexrentacar_url'];
	// get attibutes and set defaults
        extract(shortcode_atts(array(
				'width' 		 	=> '100%',
                'include_jquery' 	=> '0',
                'locale' 			=> 'es_ES',
				'include_css' 	 	=> ''
       ), $atts));
	// Display info 
	if($ibexrentacar_apikey!='' && $ibexrentacar_url!=''){
		$icss = '';
		if($include_css!='')$icss = '&include_css='.$include_css;
		return ' <script src="'.$ibexrentacar_url.'/widget/?include_jquery='.$include_jquery.'&locale='.$locale.''.$icss.'"></script>
				 <div id="irc_home" style="width: '.$width.';"></div>';
	}
}
add_shortcode('ibexrentacar-buscador2','shortcode_ibexrentacar_buscador2');			
			
//Shortcode Buscador 3
function shortcode_ibexrentacar_buscador3($atts) {	
	global $settings_ibex;
	$ibexrentacar_apikey = $settings_ibex->options['ibexrentacar_apikey'];
	$ibexrentacar_url 	 = $settings_ibex->options['ibexrentacar_url'];
	// get attibutes and set defaults
        extract(shortcode_atts(array(
				'width' 		 	=> '100%',
                'include_jquery' 	=> '0',
                'locale' 			=> 'es_ES',
				'include_css' 	 	=> ''
       ), $atts));
	// Display info 
	if($ibexrentacar_apikey!='' && $ibexrentacar_url!=''){
		$icss = '';
		if($include_css!='')$icss = '&include_css='.$include_css;
		return ' <script src="'.$ibexrentacar_url.'/widget/?include_jquery='.$include_jquery.'&locale='.$locale.''.$icss.'"></script>
				 <div id="irc_searchlarge" style="width: '.$width.';"></div>
				 <div id="irc_result" style="width: '.$width.';"></div>';
	}
}
add_shortcode('ibexrentacar-buscador3','shortcode_ibexrentacar_buscador3');			


//Shortcode Ficha Modelo
function shortcode_ibexrentacar_modelo($atts) {	
	global $settings_ibex;
	$ibexrentacar_apikey = $settings_ibex->options['ibexrentacar_apikey'];
	$ibexrentacar_url 	 = $settings_ibex->options['ibexrentacar_url'];
	// get attibutes and set defaults
        extract(shortcode_atts(array(
				'width' 		 	=> '100%',
                'include_jquery' 	=> '0',
                'locale' 			=> 'es_ES',
				'modelo_id' 		=> '',
				'include_css' 	 	=> ''
       ), $atts));
	// Display info 
	if($ibexrentacar_apikey!='' && $ibexrentacar_url!='' && $modelo_id!=''){
		$icss = '';
		if($include_css!='')$icss = '&include_css='.$include_css;
		return ' <script src="'.$ibexrentacar_url.'/widget/?include_jquery='.$include_jquery.'&model='.$modelo_id.'&locale='.$locale.''.$icss.'"></script>
				 <div id="irc_vehicle" style="width: '.$width.';"></div>';
	}
}
add_shortcode('ibexrentacar-modelo','shortcode_ibexrentacar_modelo');		


?>