<?php
if (!function_exists('is_admin')) {
    header('Status: 403 Forbidden');
    header('HTTP/1.1 403 Forbidden');
    exit();
}

if (!class_exists("Ibexrentacar_Settings")) :

/* 
	Create example settings page for our plugin.
	
	- We show how to render our own controls using HTML.
	- We show how to get WordPress to render controls for us using do_settings_sections'
	
	WordPress Settings API tutorials
	http://codex.wordpress.org/Settings_API
	http://ottopress.com/2009/wordpress-settings-api-tutorial/
*/
class Ibexrentacar_Settings {

	public static $default_settings = 
		array( 	
			  	'example_text' => 'Test text',
			  	'example_checkbox1' => 'apples',
				'example_checkbox2' => 'oranges',
			  	'mbox_example_text' => 'Ibexrentacar plugin by Ibexestudio',
			  	'mbox_example_checkbox1' => 'grapes',
				'ibexrentacar_apikey' 	 => '12345',
				'ibexrentacar_url' 	 	=> '',
				'mbox_example_checkbox2' => 'lemons'
				);
	var $pagehook, $page_id, $settings_field, $options;

	
	function __construct() {	
		$this->page_id = 'ibexrentacar';
		// This is the get_options slug used in the database to store our plugin option values.
		$this->settings_field = 'ibexrentacar_options';
		$this->options = get_option( $this->settings_field );

		add_action('admin_init', array($this,'admin_init'), 20 );
		add_action( 'admin_menu', array($this, 'admin_menu'), 20);
	}
	
	function admin_init() {
		register_setting( $this->settings_field, $this->settings_field, array($this, 'sanitize_theme_options') );
		add_option( $this->settings_field, Ibexrentacar_Settings::$default_settings );
		
		
		/* 
			This is needed if we want WordPress to render our settings interface
			for us using -
			do_settings_sections
			
			It sets up different sections and the fields within each section.
		*/
		add_settings_section('ibexrentacar_main', '',  
			array($this, 'main_section_text'), 'example_settings_page');

		add_settings_field('example_text', 'Example Text', 
			array($this, 'render_example_text'), 'example_settings_page', 'ibexrentacar_main');

		add_settings_field('example_checkbox1', 'Example Checkboxes', 
			array($this, 'render_example_checkbox'), 'example_settings_page', 'ibexrentacar_main', 
			array('id' => 'example_checkbox1', 'value' => 'apples', 'text' => 'Apples') );
		add_settings_field('example_checkbox2', '', 
			array($this, 'render_example_checkbox'), 'example_settings_page', 'ibexrentacar_main',
			array('id' => 'example_checkbox2', 'value' => 'oranges', 'text' => 'Oranges') );
	}

	function admin_menu() {
		if ( ! current_user_can('update_plugins') )
			return;
		
		
		$this->pagehook = add_menu_page( __('Ibexrentacar', 'ibexrentacar'), __('Ibexrentacar', 'ibexrentacar'), 'administrator', $this->page_id, array($this,'render'),  plugins_url('/', __FILE__).'/img/icon4_16x16.png');
		
		// Add a new submenu to the standard Settings panel
		//--> añadir opción en ajustes -> $this->pagehook = $page =  add_options_page(__('Ibexrentacar', 'ibexrentacar'), __('Ibexrentacar', 'ibexrentacar'), 'administrator', $this->page_id, array($this,'render') );
		
		// Executed on-load. Add all metaboxes.
		add_action( 'load-' . $this->pagehook, array( $this, 'metaboxes' ) );
		// Include js, css, or header *only* for our settings page
		add_action("admin_print_scripts-$page", array($this, 'js_includes'));
		// add_action("admin_print_styles-$page", array($this, 'css_includes'));
		add_action("admin_head-$page", array($this, 'admin_head') );
	}

	function admin_head() { ?>
		<style>
		.settings_page_ibexrentacar label { display:inline-block; width: 150px; }
		</style>

	<?php }

     
	function js_includes() {
		// Needed to allow metabox layout and close functionality.
		wp_enqueue_script( 'postbox' );
	}
	
	function test_function() {
		return 'test test 99';
	}


	/*
		Sanitize our plugin settings array as needed.
	*/	
	function sanitize_theme_options($options) {
		$options['example_text'] = stripcslashes($options['example_text']);
		return $options;
	}


	/*
		Settings access functions.
		
	*/
	protected function get_field_name( $name ) {

		return sprintf( '%s[%s]', $this->settings_field, $name );

	}

	protected function get_field_id( $id ) {

		return sprintf( '%s[%s]', $this->settings_field, $id );

	}

	protected function get_field_value( $key ) {

		return $this->options[$key];

	}
		

	/*
		Render settings page.
		
	*/
	
	function render() {
		global $wp_meta_boxes;

		$messages[1] = __('Ibexrentacar action taken.', 'ibexrentacar');
		
		if ( isset($_GET['message']) && (int) $_GET['message'] ) {
			$message = $messages[$_GET['message']];
			$_SERVER['REQUEST_URI'] = remove_query_arg(array('message'), $_SERVER['REQUEST_URI']);
		}
		
		$title = __('Ibexrentacar', 'ibexrentacar');
		?>
		<div class="wrap">   
			<?php //screen_icon(); ?>
            <div style="display:block; float:left; margin-right: 20px;"><img src="<?= plugins_url('/', __FILE__).'/img/ibexrentacar.png' ?>" /></div>
			<div style="display:block; float:left;">
            	<br />
	            <h2 style="margin-bottom:0; padding-bottom:5px;"><?php echo esc_html( $title ); ?></h2>
                <p>
                	Convierta su blog de Wordpress en un completo <strong>sistema de reservas online</strong> conectado con su <strong>Ibexrentacar</strong>.<br /><br />
                </p>
			</div>
            <div style="display:block; clear:both;"></div>
            <? /*<div style="width:100%; height:20px; background-color:#fc992e;"></div>*/?>
			<?php
				if ( !empty($message) ) : 
				?>
				<div id="message" class="updated fade"><p><?php echo $message; ?></p></div>
				<?php 
				endif; 
			?>
			<form method="post" action="options.php">
				<? /*
                <p>
				<input type="submit" class="button button-primary" name="save_options" value="<?php esc_attr_e('Guardar'); ?>" />
				</p>
				*/?>
                
                <div class="metabox-holder">
                    <div class="postbox-container" style="width: 99%;">
                    <?php 
						// Render metaboxes
                        settings_fields($this->settings_field); 
                        do_meta_boxes( $this->pagehook, 'main', null );
                      	if ( isset( $wp_meta_boxes[$this->pagehook]['column2'] ) )
 							do_meta_boxes( $this->pagehook, 'column2', null );
                    ?>
                    </div>
                </div>
				<div style="display:block; clear:both;"></div>
				<p style="padding-top:20px;">
                	Más información: <a href="http://www.ibexrentacar.com" target="_blank">www.ibexrentacar.com</a><br />
                    Soporte: <a href="mailto:info@ibexrentacar.com">info@ibexrentacar.com</a><br />
                    Ibexrentacar plugin by <a href="http://www.ibexestudio.com" target="_blank">Ibexestudio</a><br />
                    Ibexrentacar.com © <?= date('Y') ?><br />
                </p>
			</form>
		</div>
        
        <!-- Needed to allow metabox layout and close functionality. -->
		<script type="text/javascript">
			//<![CDATA[
			jQuery(document).ready( function ($) {
				// close postboxes that should be closed
				$('.if-js-closed').removeClass('if-js-closed').addClass('closed');
				// postboxes setup
				postboxes.add_postbox_toggles('<?php echo $this->pagehook; ?>');
			});
			
			function view_example_page_shortcode(){
				jQuery('#code_page_examples_shortcode').slideToggle("fast");
			}
			//]]>
		</script>
	<?php }
	
	
	function metaboxes() {

		add_meta_box( 'ibexrentacar-version', __( 'Configuración', 'ibexrentacar' ), array( $this, 'info_box' ), $this->pagehook, 'main', 'high' );
		
		add_meta_box( 'ibexrentacar-sincr-models', __( 'Widget de integración en web', 'ibexrentacar' ), array( $this, 'sincr_models' ), $this->pagehook, 'main' );

		//add_meta_box( 'ibexrentacar-conditions', __( 'Example Conditions', 'ibexrentacar' ), array( $this, 'condition_box' ), $this->pagehook, 'main' );

		//add_meta_box( 	'ibexrentacar-all', __( 'Rendered by WordPress using do_settings_sections', 'ibexrentacar' ), array( $this, 'do_settings_box' ), $this->pagehook, 'main' );

	}
	
	function info_box() {

		?>
		<div style="padding:10px;">
            <p><strong><?php _e( 'Version:', 'ibexrentacar' ); ?></strong> <?php echo IBEXRENTACAR_VERSION; ?> <?php echo '&middot;'; ?> <strong><?php _e( 'Released:', 'ibexrentacar' ); ?></strong> <?php echo IBEXRENTACAR_RELEASE_DATE; ?></p>
            <p><strong>Parámetros de conexión con Ibexrentacar</strong></p>
            <p>
                <div style="display:block; float:left; width:6%;">
                    <label for="<?php echo $this->get_field_id( 'ibexrentacar_apikey' ); ?>" style="font: normal 12px/20px Arial, Helvetica, sans-serif;"><?php _e( 'Ibexrentacar Api Key', 'ibexrentacar' ); ?></label>
                </div>
                <div style="display:block; float:left; width:94%">
                    <input type="text" name="<?php echo $this->get_field_name( 'ibexrentacar_apikey' ); ?>" id="<?php echo $this->get_field_id( 'ibexrentacar_apikey' ); ?>" value="<?php echo esc_attr( $this->get_field_value( 'ibexrentacar_apikey' ) ); ?>" style="width:100%;" />
                </div>
                <div style="display:block; clear:both;"></div><br />
                <div style="display:block; float:left; width:6%;">
                    <label for="<?php echo $this->get_field_id( 'ibexrentacar_url' ); ?>" style="font: normal 12px/20px Arial, Helvetica, sans-serif;"><?php _e( 'Ibexrentacar Url', 'ibexrentacar' ); ?></label>
                </div>
                <div style="display:block; float:left; width:94%">
                    <input type="text" name="<?php echo $this->get_field_name( 'ibexrentacar_url' ); ?>" id="<?php echo $this->get_field_id( 'ibexrentacar_url' ); ?>" value="<?php echo esc_attr( $this->get_field_value( 'ibexrentacar_url' ) ); ?>" style="width:100%;" />
                </div>
                <div style="display:block; clear:both;"></div>
                <div style="display:block; float:left; width:6%;">&nbsp;</div>
                <div style="display:block; float:left; width:94%">
                    <br />
                     <input type="submit" class="button button-primary" name="save_options" value="<?php esc_attr_e('Guardar'); ?>" style="background:none; background-color:#fc992e; border-radius:5px; padding:0 20px 0 20px; font: bold 14px/18px Arial, Helvetica, sans-serif; color:#FFF;margin:0; border:none;" />
                </div>
                <div style="display:block; clear:both;"></div>
            </p>
         </div>
      <?php

	}
	
	
	function sincr_models(){
	?>
    	<? $url_save_plugin = $this->get_field_value( 'ibexrentacar_url' ); ?>
		
        <div style="padding:10px;">
			<? if($url_save_plugin==''){ ?>
            <p>
                <div align="center">
                    Para poder realizar la integración del sistema de reservas en su sitio web debe rellenar los datos de configuración con su Ibexrentacar.
                </div>
            </p>
            <? }else{?>
            <p>
                El interface de conexión del motor de reservas "Widget Integrable", permite integrar de forma transparente al usuario las funciones necesarias para la reserva on-line, realiza acciones sobre la reserva tales como búsquedas o formalización.<br />
                De esta forma ofrecemos a nuestros clientes un producto exclusivo para añadir una prestación más a su página o blog.<br />
                <br />
                <div style="padding:10px; background-color: #fafafa;border:1px solid #efefef; "><strong style="font-size: 14px; color:#666">1. Shortcode - Seleccione el tipo de integración que desee</strong></div>
                <div style="padding:1%;">
                    <div style="display:block; float:left; width:32%; margin-right:1%; background-color:#fafafa; border:1px solid #efefef; border-radius: 6px">
                        <div style="padding:10px; background-color: #fc992e"><span style="font-size: 14px; color:#FFF">Widget: Buscador 1</span></div>
                        <div style="padding:10px;">
                            Integración de un formulario de búsqueda de disponibilidad para la reserva.<br />
                            Le permite mantener al mismo tiempo la visualización del buscador y los resultados.<br />
                            <br />
                            <strong>Shortcode:</strong> [ibexrentacar-buscador1]<br />
                            <br />
                            <strong>Parámetros opcionales</strong><br /><br />
                            <strong>width:</strong> Tamaño del Widget (px o %)<br />
                            <strong>include_jquery:</strong> Inclusión de Jquery<br />
                            <strong>locale:</strong> Idioma (es_ES)<br />
                            <strong>include_css:</strong> Inclusión de CSS personalizado (Url)<br />
                            <br />
                            <strong>Ejemplo:</strong><br />
                            <span style="font-style:italic;">[ibexrentacar-buscador1 width="75%" include_jquery="0" locale="es_ES" include_css=""]</span>
                        </div>
                    </div>
                    <div style="display:block; float:left; width:32%; margin-right:1%;background-color:#fafafa; border:1px solid #efefef; border-radius: 6px">
                        <div style="padding:10px; background-color: #fc992e"><span style="font-size: 14px; color:#FFF">Widget: Buscador 2</span></div>
                        <div style="padding:10px;">
                            Integración de un formulario de búsqueda de disponibilidad para la reserva.<br />
                            Una vez realizada la búsqueda se oculta el buscador.<br />
                            <br />
                            <strong>Shortcode:</strong> [ibexrentacar-buscador2]<br />
                            <br />
                            <strong>Parámetros opcionales</strong><br /><br />
                            <strong>width:</strong> Tamaño del Widget (px o %)<br />
                            <strong>include_jquery:</strong> Inclusión de Jquery<br />
                            <strong>locale:</strong> Idioma (es_ES)<br />
                            <strong>include_css:</strong> Inclusión de CSS personalizado (Url)<br />
                            <br />
                            <strong>Ejemplo:</strong><br />
                            <span style="font-style:italic;">[ibexrentacar-buscador2 width="75%" include_jquery="0" locale="es_ES" include_css=""]</span>
                        </div>
                    </div>
                    <div style="display:block; float:left; width:32%; margin-right:1%;background-color:#fafafa; border:1px solid #efefef; border-radius: 6px">
                        <div style="padding:10px; background-color: #fc992e"><span style="font-size: 14px; color:#FFF">Widget: Buscador 3</span></div>
                        <div style="padding:10px;">
                            Integración de un formulario de búsqueda de disponibilidad para la reserva.<br />
                            Variación del Buscador I con una disposición del formulario alargada.<br />
                            <br />
                            <strong>Shortcode:</strong> [ibexrentacar-buscador3]<br />
                            <br />
                            <strong>Parámetros opcionales</strong><br /><br />
                            <strong>width:</strong> Tamaño del Widget (px o %)<br />
                            <strong>include_jquery:</strong> Inclusión de Jquery<br />
                            <strong>locale:</strong> Idioma (es_ES)<br />
                            <strong>include_css:</strong> Inclusión de CSS personalizado (Url)<br />
                            <br />
                            <strong>Ejemplo:</strong><br />
                            <span style="font-style:italic;">[ibexrentacar-buscador3 width="100%" include_jquery="0" locale="es_ES" include_css=""]</span>
                        </div>
                    </div>
                    <div style="display:block; clear:both;"></div><br />
                    <div style="display:block; float:left; width:32%; margin-right:1%;background-color:#fafafa; border:1px solid #efefef; border-radius: 6px">
                        <div style="padding:10px; background-color: #fc992e"><span style="font-size: 14px; color:#FFF">Widget: Listado de Flota</span></div>
                        <div style="padding:10px;">
                            Listado de modelos disponibles para la reserva con filtros, enlace a la ficha de modelo y formulario de búsqueda.<br />
                            Le permite definir el tipo de vista de los resultados: Mosaico / Listado<br />
                            <br />
                            <strong>Shortcode:</strong> [ibexrentacar-fleet]<br />
                            <br />
                            <strong>Parámetros opcionales</strong><br /><br />
                            <strong>width:</strong> Tamaño del Widget (px o %)<br />
                            <strong>include_jquery:</strong> Inclusión de Jquery<br />
                            <strong>locale:</strong> Idioma (es_ES)<br />
                            <strong>result_view:</strong> Vista de resultados (grid/list)<br />
                            <strong>include_css:</strong> Inclusión de CSS personalizado (Url)<br />
                            <br />
                            <strong>Ejemplo:</strong><br />
                            <span style="font-style:italic;">[ibexrentacar-fleet width="75%" include_jquery="0" locale="es_ES" result_view="list" include_css=""]</span>
                        </div>
                    </div>
                    <div style="display:block; float:left; width:32%;;background-color:#fafafa; border:1px solid #efefef; border-radius: 6px">
                        <div style="padding:10px; background-color: #fc992e"><span style="font-size: 14px; color:#FFF">Widget: Ficha Modelo</span></div>
                        <div style="padding:10px;">
                            Ficha del modelo con formulario de búsqueda.<br /><br />
                            <br />
                            <strong>Shortcode:</strong> [ibexrentacar-modelo]<br />
                            <br />
                            <strong>Parámetros opcionales</strong><br /><br />
                            <strong>width:</strong> Tamaño del Widget (px o %)<br />
                            <strong>include_jquery:</strong> Inclusión de Jquery<br />
                            <strong>locale:</strong> Idioma (es_ES)<br />
                            <strong>modelo_id:</strong> Identificador de modelo en su Ibexrentacar<br />
                            <strong>include_css:</strong> Inclusión de CSS personalizado (Url)<br />
                            <br />
                            <strong>Ejemplo:</strong><br />
                            <span style="font-style:italic;">[ibexrentacar-modelo width="100%" include_jquery="0" locale="es_ES" modelo_id="94" include_css=""] </span>
                        </div>
                    </div>
                    <div style="display:block; clear:both;"></div>
                </div>
                <div style="padding:10px; background-color: #fafafa;border:1px solid #efefef; "><strong style="font-size: 14px; color: #666">2. Copie y pegue el shortcode seleccionado en la página o entrada dónde quiera visualizar el widget.</strong></div>
                <br />
                <br />
                <a href="javascript:view_example_page_shortcode()">Crear página con ejemplos de todos los Widgets disponibles</a><br /><br />
                <div id="code_page_examples_shortcode" style="padding:10px; background-color: #fafafa;border:1px solid #efefef; display: none;">
                	<div style="padding:10px;">
                        <strong style="font-size: 14px; color: #666">Cree una nueva página e inserte el siguiente código fuente en modo de edición "Texto".</strong>
                        <br /><br />
                        <style type="text/css">
                            pre {
                                font-size: 12px;
                                line-height: 20px;
                                width: 100%;
                                overflow: auto;
                                overflow-y: hidden;
                                margin: 1px 0 10px;
                                text-align:left;
                            }
                        </style>				
                       <pre><code>&lt;h1&gt;Buscador 1&lt;/h1&gt;
Shortcode: &lt;strong&gt;ibexrentacar-buscador1&lt;/strong&gt;
Ejemplo: &lt;code&gt;&lt;strong&gt;&amp;#91;ibexrentacar-buscador1 width="75%" include_jquery="0" locale="es_ES" include_css=""] &lt;/strong&gt;&lt;/code&gt;
&lt;div align="center"&gt;[ibexrentacar-buscador1 width="75%" include_jquery="0" locale="es_ES" include_css=""]&lt;/div&gt;
&lt;h1&gt;Buscador 2&lt;/h1&gt;
Shortcode: &lt;strong&gt;ibexrentacar-buscador2&lt;/strong&gt;
Ejemplo: &lt;code&gt;&lt;strong&gt;&amp;#91;ibexrentacar-buscador2 width="75%" include_jquery="0" locale="es_ES" include_css=""] &lt;/strong&gt;&lt;/code&gt;
&lt;div align="center"&gt;[ibexrentacar-buscador2 width="75%" include_jquery="0" locale="es_ES" include_css=""]&lt;/div&gt;
&lt;h1&gt;Buscador 3&lt;/h1&gt;
Shortcode: &lt;strong&gt;ibexrentacar-buscador2&lt;/strong&gt;
Ejemplo: &lt;code&gt;&lt;strong&gt;&amp;#91;ibexrentacar-buscador3 width="100%" include_jquery="0" locale="es_ES" include_css=""] &lt;/strong&gt;&lt;/code&gt;
&lt;div align="center"&gt;[ibexrentacar-buscador3 width="100%" include_jquery="0" locale="es_ES" include_css=""]&lt;/div&gt;
&lt;h1&gt;Flota&lt;/h1&gt;
Shortcode: &lt;strong&gt;ibexrentacar-fleet&lt;/strong&gt;
Ejemplo: &lt;code&gt;&lt;strong&gt;&amp;#91;ibexrentacar-fleet width="75%" include_jquery="0" locale="es_ES" result_view="list" include_css=""]&lt;/strong&gt;&lt;/code&gt;
&lt;div align="center"&gt;[ibexrentacar-fleet width="75%" include_jquery="0" locale="es_ES" result_view="list" include_css=""]&lt;/div&gt;
&lt;h1&gt;Modelo&lt;/h1&gt;
Shortcode: &lt;strong&gt;ibexrentacar-modelo&lt;/strong&gt;
Ejemplo: &lt;code&gt;&lt;strong&gt;&amp;#91;ibexrentacar-modelo width="100%" include_jquery="0" locale="es_ES" modelo_id="10" include_css=""] &lt;/strong&gt;&lt;/code&gt;
&lt;div align="center"&gt;[ibexrentacar-modelo width="100%" include_jquery="0" locale="es_ES" modelo_id="10" include_css=""]&lt;/div&gt;</code>
                        </pre>
                	</div>
            	</div>
            </p>
            <? }?>
        </div>
        <? /*
        <p style="margin-top: 20px;">
            <input type="button" onclick="refresh_models_lst()" class="button button-primary" value="<?php esc_attr_e('Actualizar'); ?>" style="background:none; background-color:#fc992e; border-radius:5px; padding:0 20px 0 20px; font: bold 14px/18px Arial, Helvetica, sans-serif; color:#FFF;margin:0; border:none;" />
        </p>
		*/?>
	<?php }	
		
	
	function condition_box() {
	?>
		<p>        
			<input type="checkbox" name="<?php echo $this->get_field_name( 'mbox_example_checkbox1' ); ?>" id="<?php echo $this->get_field_id( 'mbox_example_checkbox1' ); ?>" value="grapes" <?php echo isset($this->options['mbox_example_checkbox1']) ? 'checked' : '';?> /> 
			<label for="<?php echo $this->get_field_id( 'mbox_example_checkbox1' ); ?>"><?php _e( 'Grapes', 'ibexrentacar' ); ?></label>
            <br/>
            
            
			<input type="checkbox" name="<?php echo $this->get_field_name( 'mbox_example_checkbox2' ); ?>" id="<?php echo $this->get_field_id( 'mbox_example_checkbox2' ); ?>" value="lemons" <?php echo isset($this->options['mbox_example_checkbox2']) ? 'checked' : '';?> /> 
			<label for="<?php echo $this->get_field_id( 'mbox_example_checkbox2' ); ?>"><?php _e( 'Lemons', 'ibexrentacar' ); ?></label>
            
		</p>
	<?php }


	function do_settings_box() {
		do_settings_sections('example_settings_page'); 
	}
	
	/* 
		WordPress settings rendering functions
		
		ONLY NEEDED if we are using wordpress to render our controls (do_settings_sections)
	*/
																	  
																	  
	function main_section_text() {
		echo '<p>Some example inputs.</p>';
	}
	
	function render_example_text() { 
		?>
        <input id="example_text" style="width:50%;"  type="text" name="<?php echo $this->get_field_name( 'example_text' ); ?>" value="<?php echo esc_attr( $this->get_field_value( 'example_text' ) ); ?>" />	
		<?php 
	}
	
	function render_example_checkbox($args) {
		$id = 'ibexrentacar_options['.$args['id'].']';
		?>
  		<input name="<?php echo $id;?>" type="checkbox" value="<?php echo $args['value'];?>" <?php echo isset($this->options[$args['id']]) ? 'checked' : '';?> /> <?php echo " {$args['text']}"; ?> <br/>
		<?php 
	}
	

} // end class
endif;
z
?>